Bug 1077500 - [abrt] gnome-screenshot: gtk_tree_row_ref_deleted(): gnome-screenshot killed by SIGSEGV
Summary: [abrt] gnome-screenshot: gtk_tree_row_ref_deleted(): gnome-screenshot killed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screenshot
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9aa1565821e3c4bd13bfb8f6d6a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-18 06:22 UTC by Pablo Nazar
Modified: 2014-12-15 04:27 UTC (History)
3 users (show)

Fixed In Version: gtk3-3.14.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 04:27:54 UTC


Attachments (Terms of Use)
File: backtrace (32.91 KB, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: core_backtrace (21.26 KB, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: dso_list (10.43 KB, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: environ (1.61 KB, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: maps (53.47 KB, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: open_fds (1.57 KB, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details
File: var_log_messages (1.16 KB, text/plain)
2014-03-18 06:22 UTC, Pablo Nazar
no flags Details

Description Pablo Nazar 2014-03-18 06:22:13 UTC
Version-Release number of selected component:
gnome-screenshot-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        gnome-screenshot --interactive
crash_function: gtk_tree_row_ref_deleted
executable:     /usr/bin/gnome-screenshot
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_row_ref_deleted at gtktreemodel.c:2130
 #1 gtk_tree_row_reference_deleted at gtktreemodel.c:2509
 #2 gtk_tree_view_row_deleted at gtktreeview.c:9048
 #7 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #8 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #9 remove_file at gtkfilesystemmodel.c:1912
 #10 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:522
 #13 g_cclosure_marshal_generic_va at gclosure.c:1550

Comment 1 Pablo Nazar 2014-03-18 06:22:19 UTC
Created attachment 875805 [details]
File: backtrace

Comment 2 Pablo Nazar 2014-03-18 06:22:21 UTC
Created attachment 875806 [details]
File: cgroup

Comment 3 Pablo Nazar 2014-03-18 06:22:23 UTC
Created attachment 875807 [details]
File: core_backtrace

Comment 4 Pablo Nazar 2014-03-18 06:22:26 UTC
Created attachment 875808 [details]
File: dso_list

Comment 5 Pablo Nazar 2014-03-18 06:22:28 UTC
Created attachment 875809 [details]
File: environ

Comment 6 Pablo Nazar 2014-03-18 06:22:30 UTC
Created attachment 875810 [details]
File: exploitable

Comment 7 Pablo Nazar 2014-03-18 06:22:33 UTC
Created attachment 875811 [details]
File: limits

Comment 8 Pablo Nazar 2014-03-18 06:22:35 UTC
Created attachment 875812 [details]
File: maps

Comment 9 Pablo Nazar 2014-03-18 06:22:38 UTC
Created attachment 875813 [details]
File: open_fds

Comment 10 Pablo Nazar 2014-03-18 06:22:40 UTC
Created attachment 875814 [details]
File: proc_pid_status

Comment 11 Pablo Nazar 2014-03-18 06:22:43 UTC
Created attachment 875815 [details]
File: var_log_messages

Comment 12 Fedora Update System 2014-12-12 04:53:05 UTC
gtk3-3.14.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk3-3.14.6-1.fc21

Comment 13 Fedora Update System 2014-12-13 09:46:03 UTC
Package gtk3-3.14.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.14.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16867/gtk3-3.14.6-1.fc21
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-12-15 04:27:54 UTC
gtk3-3.14.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.